Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 09/01/2021 in all areas

  1. You are right, here is the version of VV1 with the new selection: (defun C:VV1 (/ cmd osm olderr ss PT index DS N13 N14) (setq cmd (getvar "CMDECHO") osm (getvar "OSMODE") olderr *error* *error* myerror ) (princ "Please select dimension object!") (setq ss (ssget (list (cons 0 "DIMENSION") (cons -4 "<OR") (cons 50 0.0) (cons 50 (/ pi 2)) (cons -4 "OR>")))) (repeat (setq index (sslength ss)) (if (not (equal (last (entget (ssname ss (setq index (1- index))))) '(100 . "AcDbRotatedDimension"))) (ssdel (ssname ss index) ss) ) ) (setvar "CMDECHO" 0) (setq PT (getpoint "\nPoint to trim or extend:") PT (trans PT 1 0) ) (command "UCS" "_W") (repeat (setq index (sslength ss)) (setq DS (entget (ssname ss (setq index (1- index))))) (cond ((equal (cdr (assoc 50 DS)) 0.0 0.001) (setq N13 (cons 13 (list (car (cdr (assoc 13 DS))) (cadr PT) (caddr (cdr (assoc 13 DS))))) DS (subst N13 (assoc 13 DS) DS) N14 (cons 14 (list (car (cdr (assoc 14 DS))) (cadr PT) (caddr (cdr (assoc 14 DS))))) DS (subst N14 (assoc 14 DS) DS) ) (entmod DS) ) ((equal (cdr (assoc 50 DS)) (/ pi 2) 0.001) (setq N13 (cons 13 (list (car PT) (cadr (cdr (assoc 13 DS))) (caddr (cdr (assoc 13 DS))))) DS (subst N13 (assoc 13 DS) DS) N14 (cons 14 (list (car PT) (cadr (cdr (assoc 14 DS))) (caddr (cdr (assoc 14 DS))))) DS (subst N14 (assoc 14 DS) DS) ) (entmod DS) ) ) ) (command "UCS" "_P") (setvar "CMDECHO" cmd) (setvar "OSMODE" osm) (setq *error* olderr) (princ) )
    1 point
  2. Eldon, Thank you for telling me what it‘s called. Otherwise I wouldn't know that the problem couldn't be solved. https://knowledge.autodesk.com/support/autocad/learn-explore/caas/sfdcarticles/sfdcarticles/How-to-disable-or-change-the-color-of-the-rubber-band-in-AutoCAD.html the link is too old.
    1 point
  3. Try this after your move command so you can see your text as you move it about (setq pt1 (cdr (assoc 10 (entget(entlast)) ))) pt1 is the text coordinates. I've not seen how to hide that dashed line as you move things, is it a big problem or something that would be nice? If you can hide it, I guess it will be a system variable to change, type setvar and then ? to see a list of them, might be in there but I don't know
    1 point
×
×
  • Create New...